<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Models\User;

class MissingProofsMail extends Mailable
{
    use Queueable, SerializesModels;

    public $faculty;
    public $items;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct(User $faculty, array $items)
    {
        $this->faculty = $faculty;
        $this->items = $items;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        // dd("hehe");
        return $this->subject('Missing Proofs Notification')
                    ->view('emails.missing-proofs');
    }
}